1 Reply Latest reply on Jun 1, 2015 4:24 PM by williams59364574

    I am informed with "blocked plug-in" that my Flash Player is outdated and a new version must be installed.  Yet when I  access "Check Now" I am told I already have the current 17.0 version.  Then when I try to install a "new version" I get DOWNLOAD NOW in

    williams59364574

      I am informed by "blocked plug-in" that my Flash Player is outdated and a new one needs to be installed.  Yet when I look at "Check Now" it tells me I already have the 17.00 latest version.  Then when I follow the instructions and go to "Install Flash Player",  I see DOWNLOAD NOW instead of INSTALL NOW, and this leads me to the final step, which is not confirmation of installation but an offer to buy cloud photo services, which I do not want.  It seems I might have the new version of Flash Player but only the "Install Now" step is complete, but unconfirmed.  Please help me get out of this circular situation and get Flash Player enabled again.  I am unable to do many things without it.

      Thank you.